package com.sxc.etaxincome.common.generator.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-04-25 16:15:59
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class EtaxReportResultConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    private Long id;

    /**
     * 接口编号
     */
    private String apiCode;

    /**
     * 报表名
     */
    private String tableName;

    /**
     * 报表编码
     */
    private String tableCode;

    /**
     * 行位置
     */
    private String locationRow;

    /**
     * 列位置
     */
    private String locationCol;

    /**
     * 电子税局参数名
     */
    private String etaxParamName;

    /**
     * 映射关系参数名
     */
    private String etaxExportName;

    /**
     * 电子税局value
     */
    private String etaxParamValue;

    /**
     * 是否显示 0-否 1-是
     */
    private String showFlag;

    /**
     * 是否校验 0-否 1-是
     */
    private String checkFlag;

    /**
     * 校验适配类
     */
    private String checkClass;

    /**
     * 说明
     */
    private String remark;

    /**
     * 创建日期
     */
    private LocalDateTime createTime;

    /**
     * 最后更新日期
     */
    private LocalDateTime updateTime;


}
