package com.sxc.etaxincome.domain.handler.transferparam;


import cn.hutool.core.io.FileUtil;
import com.sxc.etaxincome.domain.business.impl.ResultTransferManager;
import com.sxc.etaxincome.service.IEtaxReportResultConfigService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@Slf4j
@RunWith(PowerMockRunner.class)
@PrepareForTest({
        ResultTransferManager.class
})
public class MappingReportTransferResultManagerTest {

    @InjectMocks
    private ResultTransferManager resultTransfarManager;
    @Mock
    private IEtaxReportResultConfigService etaxReportResultConfigService;
    @Test
    public void testHandle() {
        String parseContent = FileUtil.readString("D:\\www\\a.html", "UTF-8");
        String result = resultTransfarManager.transferToJson(parseContent, "2002");
        log.info("result:{}", result);
    }
}