package com.sxc.etaxincome.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-05-10 17:44:46
 */
@TableName("etax_report_param_config")
public class EtaxReportParamConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 接口编号
     */
    private String apiCode;

    /**
     * 报表名
     */
    private String tableName;

    /**
     * 报表编码
     */
    private String tableCode;

    /**
     * 行位置
     */
    private String locationRow;

    /**
     * 列位置
     */
    private String locationCol;

    /**
     * 电子税局参数名
     */
    private String etaxParamName;

    /**
     * 说明
     */
    private String remark;

    /**
     * 是否只读
     */
    private Integer readonly;

    /**
     * 提交顺序
     */
    private Integer priority;

    /**
     * 创建日期
     */
    private LocalDateTime createTime;

    /**
     * 最后更新日期
     */
    private LocalDateTime updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getApiCode() {
        return apiCode;
    }

    public void setApiCode(String apiCode) {
        this.apiCode = apiCode;
    }
    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }
    public String getTableCode() {
        return tableCode;
    }

    public void setTableCode(String tableCode) {
        this.tableCode = tableCode;
    }
    public String getLocationRow() {
        return locationRow;
    }

    public void setLocationRow(String locationRow) {
        this.locationRow = locationRow;
    }
    public String getLocationCol() {
        return locationCol;
    }

    public void setLocationCol(String locationCol) {
        this.locationCol = locationCol;
    }
    public String getEtaxParamName() {
        return etaxParamName;
    }

    public void setEtaxParamName(String etaxParamName) {
        this.etaxParamName = etaxParamName;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public Integer getReadonly() {
        return readonly;
    }

    public void setReadonly(Integer readonly) {
        this.readonly = readonly;
    }
    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "EtaxReportParamConfig{" +
            "id=" + id +
            ", apiCode=" + apiCode +
            ", tableName=" + tableName +
            ", tableCode=" + tableCode +
            ", locationRow=" + locationRow +
            ", locationCol=" + locationCol +
            ", etaxParamName=" + etaxParamName +
            ", remark=" + remark +
            ", readonly=" + readonly +
            ", priority=" + priority +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
