package com.sxc.etaxincome.enums;

import lombok.Getter;

import java.util.Objects;

/**
 * @author caosongqing
 * @date 2024/5/15
 * @description
 */
@Getter
public enum ApiParamReadonly {
    YES(1, "只读"),
    NO(0, "可写");

    private final Integer code;
    private final String desc;
    ApiParamReadonly(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static ApiParamReadonly as(Integer code) {
        for (ApiParamReadonly apiParamReadonly : ApiParamReadonly.values()) {
            if (Objects.equals(apiParamReadonly.code, code)) {
                return apiParamReadonly;
            }
        }
        return null;
    }
}
