package com.sxc.etaxincome.service;

import com.sxc.etaxincome.common.model.report.IncomeInvoiceStatResult;
import com.sxc.etaxincome.criteria.IncomeQueryCommon;
import com.sxc.etaxincome.entity.FinCountReport;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 实时统计小时表 服务类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-05-29 11:44:38
 */
public interface IFinCountReportService extends IService<FinCountReport> {

    List<FinCountReport> queryListByCriteria(IncomeQueryCommon incomeQueryCommon);
    List<IncomeInvoiceStatResult> queryReportListByDate(IncomeQueryCommon incomeQueryCommon);
    List<IncomeInvoiceStatResult> queryReportListByUser(IncomeQueryCommon incomeQueryCommon);

}
