package com.sxc.etaxincome.controller;

import com.sxc.etaxincome.domain.business.IExceptionManager;
import com.sxc.etaxincome.domain.model.report.AnalysisCriteria;
import com.sxc.framework.common.json.JSONUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/exception")
public class ExceptionController {

    @Autowired
    private IExceptionManager exceptionManager;


    @GetMapping("/stat")
    public String exceptionStat(AnalysisCriteria analysisCriteria) {
        return JSONUtil.toString(exceptionManager.getExceptionStatList(analysisCriteria));
    }
}
