package com.sxc.etaxincome.domain.support;

import com.google.common.collect.Maps;

import java.util.Map;

/**
 * @ProjectName: etax-income-api
 * @Package: com.sxc.etaxincome.domain.support
 * @ClassName: ZoneProvider
 * @Author: ddx
 * @Description: 地区码
 * @Date: 2024-06-06 15:06
 * @Version: 1.0
 */
public class ZoneProvider {

    public static Map<String, String> zoneInfoMap = Maps.newHashMap();
    static {
        zoneInfoMap.put("1100","北京");
        zoneInfoMap.put("1200","天津");
        zoneInfoMap.put("1300","河北");
        zoneInfoMap.put("1400","山西");
        zoneInfoMap.put("1500","内蒙古");
        zoneInfoMap.put("2100","辽宁");
        zoneInfoMap.put("2102","大连");
        zoneInfoMap.put("2200","吉林");
        zoneInfoMap.put("2300","黑龙江");
        zoneInfoMap.put("3100","上海");
        zoneInfoMap.put("3200","江苏");
        zoneInfoMap.put("3300","浙江");
        zoneInfoMap.put("3302","宁波");
        zoneInfoMap.put("3400","安徽");
        zoneInfoMap.put("3500","福建");
        zoneInfoMap.put("3502","厦门");
        zoneInfoMap.put("3600","江西");
        zoneInfoMap.put("3700","山东");
        zoneInfoMap.put("3702","青岛");
        zoneInfoMap.put("4100","河南");
        zoneInfoMap.put("4200","湖北");
        zoneInfoMap.put("4300","湖南");
        zoneInfoMap.put("4400","广东");
        zoneInfoMap.put("4403","深圳");
        zoneInfoMap.put("4500","广西");
        zoneInfoMap.put("4600","海南");
        zoneInfoMap.put("5000","重庆");
        zoneInfoMap.put("5100","四川");
        zoneInfoMap.put("5200","贵州");
        zoneInfoMap.put("5300","云南");
        zoneInfoMap.put("5400","西藏");
        zoneInfoMap.put("6100","陕西");
        zoneInfoMap.put("6200","甘肃");
        zoneInfoMap.put("6300","青海");
        zoneInfoMap.put("6400","宁夏");
        zoneInfoMap.put("6500","新疆");
        zoneInfoMap.put("6789","空值");
    }

    public static String getZoneNameByCode(String zoneCode) {
        return zoneInfoMap.get(zoneCode);
    }

}
