package com.sxc.etaxincome.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.sxc.etaxincome.entity.EtaxReportParamConfig;
import com.sxc.etaxincome.entity.EtaxReportResultConfig;
import com.sxc.etaxincome.mapper.EtaxReportResultConfigMapper;
import com.sxc.etaxincome.service.IEtaxReportResultConfigService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-04-24 21:40:43
 */
@Service
public class EtaxReportResultConfigServiceImpl extends ServiceImpl<EtaxReportResultConfigMapper, EtaxReportResultConfig> implements IEtaxReportResultConfigService {

    @Override
    public List<EtaxReportResultConfig> queryList(EtaxReportResultConfig etaxReportResultConfigCriteria) {
        try {
            Wrapper<EtaxReportResultConfig> queryWrapper = Wrappers.<EtaxReportResultConfig>lambdaQuery()
                    .eq(StringUtils.isNotBlank(etaxReportResultConfigCriteria.getTableCode()), EtaxReportResultConfig::getTableCode, etaxReportResultConfigCriteria.getTableCode());
            return this.list(queryWrapper);
        } catch(Exception e) {
            log.error("query result config list error:", e);
            return Collections.emptyList();
        }
    }

}
